<?php
//TITLE=Shell packer

$title = 'Shell packer';
$progname = 'shellpack';

$text = array(
   '1. Purpose' => "

Give Shellpack lines of text, and shellpack compresses them to a minimal count of command line
expressions needed to evaluate to the specified parameters.

", '1. Example' => "

An example data set:
<pre>bisqwit@mist:~/src/shellpack\$ grep sfnet ~bisqwit/.snewsrc|head -n 5|sed 's/:.*//'            
sfnet.atk.ohjelmointi
sfnet.atk.ohjelmointi.moderoitu
sfnet.atk.ohjelmointi.alkeet
sfnet.tiede.matematiikka
sfnet.tiede.fysiikka</pre>

Compressing:
<pre>bisqwit@mist:~/src/shellpack\$ grep sfnet ~bisqwit/.snewsrc|head -n 5|sed 's/:.*//'|./shellpack
sfnet.{atk.ohjelmointi{,.alkeet,.moderoitu},tiede.{fys,matemat}iikka}</pre>

Testing:
<pre>bisqwit@mist:~/src/shellpack\$ for s in sfnet.{atk.ohjelmointi{,.alkeet,.moderoitu},tiede.{fys,matemat}iikka};do echo \"\$s\";done
sfnet.atk.ohjelmointi
sfnet.atk.ohjelmointi.alkeet
sfnet.atk.ohjelmointi.moderoitu
sfnet.tiede.fysiikka
sfnet.tiede.matematiikka</pre>

So yep, it works. It sorts the input while doing that, too.

", '1. Hazards' => "

Okay, there are some bugs. You will probably find them when testing this.
Try 1.0, it is not so bugful. But it is a lot slower too.<br>
Maybe somebody would like to make version 3.0? :)

", '1. Copying' => "

shellpack has been written by Joel Yliluoma, a.k.a.
<a href=\"http://bisqwit.iki.fi/\">Bisqwit</a>,<br>
and is distributed under the following terms:<br>
<blockquote><code>".
str_replace("\n",'<br>',htmlspecialchars(fread(fopen('/WWW/TINYFREELICENSE','r'),filesize('/WWW/TINYFREELICENSE')))).
"</code></blockquote>

");
include '/WWW/progdesc.php';
